.secondaryNav {
  display: block;
  width: 100%;
  order: 4;
  position: relative;
  z-index: 11;
  margin-top: 0rem;

  @include breakpoint($medium) {
    &:before {
      content: "";
      display: block;
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      height: 1px;
      background: $border-color-invert;

      @include breakpoint($large) {
        display: none;
      }
    }
  }

  > .container {
    padding: 0;

    @include breakpoint($large) {
      display: flex;
      flex-wrap: nowrap;
      align-items: center;

      &:before {
        content: "";
        display: block;
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        height: 1px;
        background: rgba(216, 216, 216, 0.15);
      }
    }

    nav {
      flex: 1 0 50%;
      > ul {
        > li {
          margin-right: 1rem;
          white-space: nowrap;
          > a {
            color: #fff;
            display: inline-block;
            @include rhythm(15, 22);
            padding-top: 1.2rem;
            padding-bottom: 0.9rem;
            white-space: nowrap;

            .icon {
              right: auto;
              left: 0;
              position: relative;
              display: inline-block;
              top: 0;
              margin-right: 10px;
            }
          }
          &.selected > a span:after {
            background-color: #fff;
          }
        }
      }
    }
  }

  .inPageNav__trigger {
    display: inline-block;
    @include rhythm(15, 15);
    font-weight: 400;
    padding: 0;
    border: none;
    margin: 0;

    a {
      color: #fff;
      position: relative;
      display: inline-block;

      &:hover {
        color: #fff;
      }

      &:before {
        content: "";
        display: block;
        position: absolute;
        bottom: -2px;
        left: 0;
        height: 2px;
        width: 0;
        background: #71b500;
        z-index: 2;
        transition: width 300ms ease;
      }
    }
    &.active {
      a {
        &:before {
          width: 100%;
        }
      }
    }
  }

  .contentExpander {
    nav {
      ul {
        li {
          a {
            color: $link-color;
          }

          &.contentExpander__heading {
            background: $color-bg-coolGrey;
            color: $link-color;
            display: block;
            margin-top: 2.5rem;
            left: -$global-padding-mobile;
            width: calc(100% + (2 * #{$global-padding-mobile}));

            @include rhythm(15, 22);
            padding: 0.5rem $global-padding-mobile;
          }

          &.contentExpander__category {
            border-top: 1px solid $border-color;
            margin-top: 1rem;
          }
        }
      }
    }
  }

  .secondaryNav__existing {
    position: absolute;
    top: 0;
    display: none;
    padding: 0.7rem 0;
    right: $global-padding-mobile;

    @include breakpoint($large) {
      position: relative;
      top: auto;
      right: auto;
      display: block;
      margin-left: auto;
      flex: 0 1 22%;
      text-align: right;
      @include rhythm(15, 22);
    }

    a {
      color: #fff;
      @include rhythm(15, 15);
      padding: 0.9rem 0;
      position: relative;

      &:before {
        content: "";
        display: block;
        position: absolute;
        bottom: -2px;
        height: 2px;
        background-color: #fff;
        width: 100%;
        left: 0;
        opacity: 0;
        z-index: 1;
        transition: all ease 500ms;
      }

      &:hover,
      &:active {
        &:before {
          opacity: 1;
        }
      }

      .icon {
        width: 10px;
        display: inline-block;
        margin-left: 8px;

        svg {
          width: 100%;
        }
      }
    }
  }

  .secondaryNav__sticky {
    display: none !important;

    background: rgba(255, 255, 255, 0);
    transition: none;

    @include breakpoint($large) {
      display: block !important;
    }

    &.fixed {
      transition: background linear 300ms;
      background: rgba(255, 255, 255, 1);
      box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);

      a {
        color: $text-color;
      }

      .secondaryNav__existing {
        color: $text-color;
      }
    }
  }

  .inPageNav {
    margin: 0;
    margin-left: -$global-padding-mobile;
    margin-right: -$global-padding-mobile;
    padding: 0;

    .inPageNav__trigger {
      @include breakpoint($small) {
        padding-bottom: 0;
        border-bottom: 0;
      }
    }

    @include breakpoint($large) {
      margin-left: 0;
      margin-right: 0;
    }
  }

  &.invertColours {
    > .container nav > ul > li > a {
      color: $text-color;
    }
    .inPageNav {
      nav > ul > li {
        &.selected > a span:after {
          background-color: $text-color;
        }
        .icon path {
          fill: $text-color;
        }
      }
      &.product {
        .inPageNav__marker {
          background: $text-color;
        }
        .inPageNav__trigger .icon svg path {
          fill: $text-color;
        }
      }
      &__trigger a {
        color: $text-color;
      }
    }
    .secondaryNav__existing {
      a {
        color: $text-color;
        &:before {
          background-color: $text-color;
        }
      }
      .icon--rightarrow path {
        fill: $text-color;
      }
    }
  }
}
